/* ======================================
   BOSTON VOID - HARDCORE PUNK STYLE.CSS
   ====================================== */

/* ==== RESET ==== */
*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    scroll-behavior: smooth;
    font-size: 100%;
}

h2 {
    font-family: var(--heading);
}

a {
    color: var(--blood);
    font-family: var(--font-body);
    font-weight: 500;
    text-decoration: none;
    transition: opacity 0.3s ease;
}

a:hover {
    opacity: 0.7;
}

a,
.btn,
button,
.stamp-button,
.stamp-mini,
.nav-toggle {
    cursor: url("../images/metalhand.cur"), pointer;
}

/* Respect User-Preferences */
@media (prefers-reduced-motion: reduce) {
    html {
        scroll-behavior: auto;
    }

    .glitch::before,
    .glitch::after {
        animation: none;
    }
}


/* ==== BASE ==== */
body {
    margin: 0;
    background: var(--bg);
    color: var(--paper);
    font-family: var(--font-body);
    text-transform: uppercase;
    line-height: 1.4;
}

::selection {
    background-color: var(--blood);
    color: var(--paper);
}

/* ==== NAVIGATION ==== */

.nav {
    position: fixed;
    inset: 0 0 auto 0;
    background: var(--bg-secondary);
    border-bottom: 2px dashed rgba(255, 255, 255, 0.1);
    z-index: 100;
}

.nav-inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 2rem;
}

.logo {
    font-family: var(--heading);
    color: var(--paper);
    font-size: 1.5rem;
    text-decoration: none;
    line-height: 1;
    font-weight: 400;
    letter-spacing: 0.1em;
    /* text-shadow: 
    2px 2px 0 var(--blood);*/
    transition: color 0.3s ease;
    display: flex;
    align-items: center;
    gap: 0.6rem;
}

.logo-icon {
    width: 28px;
    height: 28px;
    display: block;
    /* filter: drop-shadow(1px 1px 0 var(--paper)); */
    transform: translateY(-4px);
}

.logo:hover {
    color: var(--blood);
    /* text-shadow: 
    2px 2px 0 var(--paper);*/
}

.nav-links {
    display: flex;
    gap: 2rem;
    list-style: none;
}

.nav-links a.active {
    background: var(--blood);
    color: var(--paper);
    text-shadow:
        1px 1px 0 rgba(0, 0, 0, 0.5),
        2px 2px 1px rgba(0, 0, 0, 0.3),
        -1px -1px 0 rgba(255, 255, 255, 0.3),
        -1px -1px 1px rgba(255, 255, 255, 0.2);
    transform: rotate(0deg) scale(1.05);
    box-shadow: 2px 2px 8px rgba(0, 0, 0, 0.5);
    opacity: 1;
}

.nav-links a:focus-visible {
    outline: 2px solid var(--warning);
    outline-offset: 4px;
}

.nav-toggle {
    display: none;
    background: none;
    border: none;
    color: var(--blood);
    font-size: 2rem;
    cursor: url("../images/metalhand.cur"), pointer;
    padding: 0.5rem;
    line-height: 1;
    z-index: 101;
    transition: color 0.3s ease;
}

.nav-toggle:hover {
    background: var(--blood);
    color: var(--paper);
}

.nav-toggle::before {
    content: "☰";
}

.nav-toggle.open::before {
    content: "✕";
}

/* ============================================
   TO TOP
   ============================================ */

#scrollTopBtn {
    position: fixed;
    bottom: 2rem;
    right: 2rem;
    width: 44px;
    height: 44px;
    background-color: var(--bg-muted);
    /* border-radius: 8px; */
    /* border: 2px solid var(--blood); */
    border: transparent;
    color: var(--paper);
    font-size: 1.5rem;
    cursor: url("../images/metalhand.cur"), pointer;
    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);
    transition: all 300ms ease;
    z-index: 80;
    display: flex;
    align-items: center;
    justify-content: center;
}

#scrollTopBtn.visible {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

#scrollTopBtn:hover {
    transform: translateY(-4px);
    color: var(--paper);
    /* border: 2px solid var(--blood); */
    border: transparent;
    background-color: var(--blood);
}

/* TABLETS & SMALL DESKTOPS */

@media (min-width: 769px) and (max-width: 1024px) {

    .nav-links {
        gap: 1.5rem;
    }

    .nav-links a {
        font-size: 0.75rem;
    }


}

@media (max-width: 940px) {

    /* ==== NAVIGATION ==== */
    .nav-toggle {
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0.5rem;
        line-height: 1;
        transform: translateY(-5px);
    }

    .nav-inner {
        padding: 1rem 2rem 0.5rem;
    }

    .nav-links {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background: var(--bg-secondary);
        flex-direction: column;
        align-items: center;
        gap: 0;
        padding: 0;
        display: none;
        border-bottom: var(--border-subtile);
        box-shadow: 0 4px 12px rgba(0, 0, 0, 0.5);
    }

    .nav-links.open {
        display: flex;
    }

    .nav-links li {
        width: 100%;
        text-align: center;
    }

    .nav-links li:last-child {
        border-bottom: none;
    }

    .nav-links a {
        text-align: center;
        width: 100%;
        background-color: var(--bg);
        transform: rotate(0deg) !important;
        border: none;
        border-bottom: 1px solid rgba(255, 255, 255, 0.1);
        display: block;
        padding: 1.25rem;
        font-size: 1.1rem;
    }

    .nav-links a.active {
        transform: none;
        box-shadow: none;
    }

    .stamp-button,
    .stamp-mini {
        opacity: 1;
        background: var(--blood);
        color: var(--paper);
    }
}